# $Revision: 1.27 $, $Date: 2006/05/21 17:30:06 $
Summary:	Masq Dialer deamon
Summary(pl):	Serwer MasqDialer - zestawiajcy poczenia do Internetu
Name:		mserver
Version:	0.5.5
Release:	5
License:	GPL
Group:		Networking/Daemons
Source0:	http://w3.cpwright.com/mserver/download/c-%{name}-%{version}.tar.gz
# Source0-md5:	ee4348241ac8e42d6b62c93036ffaf71
Source1:	%{name}.init
Source2:	%{name}.pam
Patch0:		%{name}-config.patch
Patch1:		%{name}-dial.patch
Patch2:		%{name}-Makefile.patch
Patch3:		%{name}-errno.patch
URL:		http://w3.cpwright.com/mserver/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	ppp
Requires:	rc-scripts >= 0.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		%{_sbindir}

%description
The masqdialer system will allow authorized LAN users to manipulate
the network interface (usually a modem) that gives the Internet access
on a Linux box without having to use telnet. It's based on a
client/server approach so any TCP/IP enabled system should be able to
take advantage of this server, if a client is written for it.
Currently; Linux, Windows, NetBSD, and any system with a Java
implementation or Web Browser have clients.

%description -l pl
Masqdialer pozwala autoryzowanym uytkownikom sieci LAN na
manipulowanie interfejsami sieciowymi (zwykle modemem), ktre daj
dostp do Internetu poprzez "pudeko" z Linuksem bez potrzeby uywania
telnetu. Jest on bazowany na architekturze klient/server, wic kady
system z aktywnym TCP/IP powinien by w stanie korzysta, jeeli tylko
klient zostanie napisany. Aktualnie: Linux, Windows, NetBSD oraz
systemy z implementacj Javy lub przegldark Web.

%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mserver
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/mserver

touch $RPM_BUILD_ROOT%{_sysconfdir}/mserver.conf

mv -f mchat/README README.mchat
rm -rf {docs/images,isdn,firewallscripts/{ipfwadm,ipchain}scripts}/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mserver
%service mserver restart "masqdialer daemon"

%preun
if [ "$1" = "0" ]; then
	%service mserver stop
	/sbin/chkconfig --del mserver
fi

%files
%defattr(644,root,root,755)
%doc docs/index.html README AUTHORS ChangeLog README.mchat mserver/PROTOCOL
%doc mserver/mserver.conf isdn/{ipppd*,isdn.txt}
%doc firewallscripts/ipchainscripts/client{up,down}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/mserver
%attr(754,root,root) /etc/rc.d/init.d/mserver
%config(noreplace) %ghost %{_sysconfdir}/mserver.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mserver.spec,v $
Revision 1.27  2006/05/21 17:30:06  glen
- rel 5

Revision 1.26  2006/03/05 14:51:20  glen
- use %service, adapterized, cosmetics

Revision 1.25  2005/12/13 15:59:58  glen
- adapterized (sorted %verify attrs)

Revision 1.24  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.23  2004/10/29 14:04:43  paladine
- spelling fixes, unifications

Revision 1.22  2004/04/01 21:28:12  qboosh
- added errno patch, fixed doc, updated URLs; release 4 for Ac

Revision 1.21  2003/05/28 12:59:48  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:50:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/12/07 23:49:19  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.18  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.17  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.11  2001/12/06 11:59:23  qboosh
- pl summary, cosmetics; release 3

Revision 1.10  2001/09/25 18:36:57  kloczek
- cosmetics.

Revision 1.9  2001/09/25 17:25:21  blues
- release 2
- ac2.5 ready
- some translations added
- adapterized

Revision 1.8  2001/07/26 05:42:21  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.6  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.5  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.4  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/05 00:20:50  kloczek
- added using DESTDIR style install,
- simplifications in %build and %install,
- added automake to BuildRequires,
- removed Requires: pam (this is generated automaticaly).

Revision 1.1  2000/06/04 13:37:37  zagrodzki
- initial release
